%define module	Math-Bezier
%define name	perl-%{module}
%define version	0.01
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root

%description
This module implements the algorithm for the solution of Bezier curves
as presented by Robert D. Miller in Graphics Gems V, "Quick and Simple
Bezier Curve Drawing". 

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Math/Bezier.pm
%{_mandir}/*/*

%changelog
* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.01-2mdk
- rebuild for new auto{prov,req}

* Thu Apr 03 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.01-1mdk
- first mdk release
